TAAS - Feature #173

Hotel Issue
03/13/2023 10:40 AM - Junaid M

Status: Reopen Bugs Start date: 03/16/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Hotel Issue

Description

Coding Hotel Issue

History

#1 - 03/16/2023 05:21 PM - Aparna Mathew

- Status changed from New to Coding Started

- Start date changed from 03/13/2023 to 03/16/2023
- % Done changed from 0 to 40

#2 - 04/28/2023 04:06 PM - Anil KV

- Tracker changed from Bug to Feature

#3 - 05/22/2023 04:41 PM - Aparna Mathew
- Status changed from Coding Started to Particialy Coding Done

#4 - 06/21/2023 06:44 PM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Remove Batch no. from drop down label toggle
2.Set alignment on drop down label toggle

3.Remove SAR from GUI

4.Remove required box alert from Pax name input box
5.Fix bugs on Guest count - missinng on Save/Update
6.Fix bugs on multi selection box - drop down icon missing
(Ancillary Service)

7.Set validations on inline check box

(LPO No.)

8.Resize grid on Tax details Popup

9.Fix errors on fare Tab

10.Room Details - Resize grid columns ,Set alignment on rate section (Popup)

#5 - 08/19/2023 05:24 PM - Seema Mathew

- Tested By changed from Amal Cyriac to Seema Mathew

ISSUE FOUNDED-

1. ADD CONFORMATION MESSAGE FOR DELETE

#6 - 09/08/2023 11:17 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#7 - 09/09/2023 06:16 PM - unnikannan S
ISSUE FOUNDED

1.Missing Fare Amount That Already Added

2.Missing Due Date

3.Missing Supplier Base Amount

4 Error While Choosing Room Details

5.Showing NaN in Fair While Adding Letters In Tax Details
6.Error While Update Through The Format

#8 - 09/09/2023 06:17 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

#9 - 09/12/2023 05:27 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED-

1. HAND MAKER NOT TOOL TIP.

#10 - 10/26/2023 05:18 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 11/15/2023 05:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.ERROR WHILE CHOOSING MEALS PLAN

Error converting value "NaN" to type 'System.Int64'. Path 'mdiHotelCancel.mdIHotel.binMealsPlanld', line 1, position 6861.
2.NO CHANGE WHILE CHANGING MEALS PLAN AND ROOM TYPE

3.RE DIRECT ISSUE

#12 - 11/20/2023 06:14 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 11/27/2023 06:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CANT ADD CARD DETAILS IN A SHARING

2.ISSUE IN FOCUS OUT OF SHARING AMOUNT FIELD
3.CANT DELETE ADDED ROOM DETAILS

4.ERROR WHILE ADDING TIME AND SAVE (ROOM DETAILS)

#14 - 12/04/2023 06:33 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 01/05/2024 10:01 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED

1.ISSUE IN FARE FIELDS IN FOCUS OUT FROM PERCENTAGE FIELD CHANGE IN AMOUNT ALSO IN AP SHARING FIELD
2.ERROR WHILE ADDING CUSTOMER/FOP ACCOUNTS THOSE SETTED IN BRANCH MASTER CONTROL A/C

3.ERROR WHILE ADDING VOUCHER NUMBER MANUALLY ON THE BASIS OF CONTINUOUS SERIES

4.CONNECT DATAS TO SUPPLIER SERVICE WISE SOA

5.MISSING MANDATORY FIELD DATAS AND MISSING PRECISION WHILE CHOOSING (NEW BUTTON/REFRESH) BUTTONS
6.MISSING SAVED XO VOUCHERS WHILE DELETING ONE VOUCHER ITEM FROM VOUCHERS

7.MISSING DATA IN SALE

8.AUTO CHANGE WHILE CHANGING PAX TYPE

9.CONNECTIVITY TO (SET SERVICE RATE,AGENT COMMISSION,SET FEE/DISCOUNT)

10.CONNECTIVITY OF REGION

11.ERROR WHILE CHOOSING COPY OF A ALREADY SOLD VOUCHERS COPY

#16 - 02/05/2024 09:04 PM - Junaid M
GUI Changes -> Ask junaid for Changes page

#17 - 08/05/2024 05:58 PM - Arathy PS

ISSUE FOUNDED:
1) ANCILLARY SERVICES SELECTED UNDER OTHER SERVICES ARE ALSO SHOWING

#18 - 08/10/2024 07:38 PM - Junaid M
Add Feature

Load Voucher Stock Information to Issue/Cancel module

#19 - 08/27/2024 12:54 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 08/27/2024 02:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Auto Selecting Hotel

2.Error While Resetting Fare Components
3.Missing Share Category

4 Validate AP Sharing Field

#21 - 09/02/2024 10:41 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 09/05/2024 03:43 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

Billing Tax is not implemented

#23 - 09/12/2024 11:33 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 09/23/2024 07:00 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUNDED

1.Load Period Date To Customer SOA Report (Consider Hotel Cancel Also)

#25 - 09/24/2024 03:06 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#26 - 09/27/2024 06:09 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Not loading hotels created in hotel hotel master

#27 - 10/03/2024 01:29 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#28 - 10/07/2024 05:39 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

NEW CHANGES

1. In Hotel Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#29 - 11/22/2024 01:18 PM - Arathy PS
NEW CHANGES

Additional Pax

—> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>

—>Add 'Import' Button after 'Sequence' button
* Check Account or JV import
— File* (Red) file Chooser

-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>

-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons
—-> In Additional Pax/Guest Pop-up —--> at the end of pax add attachment icon as grouped. click then open attach
emnt upload for pax/guest name

-> In Hotel tab -> at the end of pax add attachment icon as grouped. click then open attachemnt upload for pax
/guest name

Issue found

1)on copying sold/refunded voucher the document number also get copied.
2)can update the status of cancelled voucher to issue

NEW CHANGES

1. The drop drown at the top showing the status of the ticket (such as issued,cancelled,sold,refund,against sale) with corresponding document no:
and while clicking on them it should redirect to the said document.

#30 - 12/06/2024 11:52 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. While changing region from one to another, billing tax values connected to it in fare tab is not changing.

#31 - 12/09/2024 12:16 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 12/09/2024 01:13 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1)when billing tax are excluded for a customer through Non Billing Tax Account ,billing tax values are showing for the customer
FIXED - 2)After changing the region billing tax is not changing,billing tax is changes only when clearing the based on fee field and re entering
FIXED - 3)direct void from xo is loading in issue

#33 - 12/21/2024 09:52 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#34 - 12/28/2024 03:25 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#35 - 12/30/2024 04:07 PM - Arathy PS
- File clipboard-202412301605-libme.png added

ISSUE FOUND

1)On copying xo voucher status is also update as issued(xo)
2) Cost side data gets incorrect after trying to change the cost amount.
3)Two tax amounts are showing when we have two equations set with effective from date previous to the current date
Hotel Issue

Vs - Voucher No* ssue ~ Issue Date”™ | 30/12/2024 o n Restore”
Customer Hotel Fare = Room Details AP Sharing
Payable In QAR Receivable In QAR
Rate | 1000.00 ServiceFee | 0,00 % | 000
Tax Details & Payback Account
Tax | 0.00 % | 0.00 Discount(-) | 0.00 % | 000
Commission | 0,00 % | 000 Billing Tax | 0.00
Supplier Fee | 1000.00 % | 10000 Price | 200000 z
Supplier Billing Tax | 0,00 ¥ Profit : ~1000.00 (-1000.00)
[ ot | 100000 PR ] Customer Recaivable* : 2000.00 Customer Paid* : 0.00
Paid* : 0.00 Sharing® : 0.00 Supplier Payable : 1000.00
Supplier Side Posting :

4)Customer side billing tax equation is loading (case: domestic region with equation based on price)

#36 - 01/01/2025 12:15 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#37 - 01/02/2025 03:29 PM - Arathy PS

- Assignee changed from Aparna Mathew to Baseem Shan

#38 - 01/08/2025 03:12 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#39 - 01/27/2025 12:33 PM - Arathy PS
- File clipboard-202501271231-v7qy0.png added

ISSUE FOUND

FIXED - 1. Can change the mandatory fields filled in voucher stock after loading them here.

FIXED - 2. While giving supplier it is subtracted from cost instead of adding: supplier charge should be added in cost and subtracted from price.
FIXED - 3. Payback account field showing with out field for payback amount.

FIXED - 3. Error in the AP shared amount.

Vs - Voucher No* HV/002 Jssued - Issue Date™ | 27/01/2025 -] Restore*
Customer Hotel Fare Room Details Custom Data AP Sharing Note -

AP Sh List * Add Y Q 2 &
Sharing Type Supplier Shared Account Currenc Amount | Amount In QAR %
AP Sharing Attachment
~ AP Sharing: Supplier
Supplier(Main) SUPOD1:: BSP Sharing Category*  Supplier v supplier 720.00 720.00
~ AP Sharing: Payback Sharing Type"  Paid to Supplier through Agency Card (UCCF) v Fare | 500.00 %| 7143 0f700.00
Payback(Main) Ancillary Service ~ Tax | 000 % 0.00 0f 10.00 0.00 0
~ AP Sharing: Commission Agent Date™ Commission | 0.00 % 000 0F 10,00
Commission Agent(Main) Corporate Card™ > | COC003 | Corporate Card Own Supplier Fee | 000 %/ 0.00 0F 10.00 000 0
b
Supplier* SUP001 BSP Payable: | 510,00 720.00
Reference Total Payable 720.00 Total Shared  0.00
Remarks Current Shared 510.00 Balance 210.00
“
d
[ Close + Add
Issue

ADDED - 1==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.

--Expiry Date: - Blue * ??
--Name On Card: - Blue * ??
ADDED - 2. Add a new field 'Service Provider'

NEW CHANGES

ADDED - 1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#40 - 03/10/2025 04:11 PM - Theja Ponon

Issue Found

FIXED - 1)Cant add additional pax equal to the number of pax (if no of pax is three then only add two pax in additional pax)
FIXED - 2)Data is not loading in Nationality
FIXED - 3)Ap sharing with giving corporate card in hotel tab ,asking to allow partial payment

#41 - 03/20/2025 04:56 PM - Baseem Shan

Implemented Set Fee/ Discount

#42 - 03/21/2025 01:44 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 03/24/2025 03:21 PM - Arathy PS

- File clipboard-202503241417-g5009.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1. Tax amount not changing as per per the changes in the amount in AP sharing tab.

r e Hotel Issue
VS - Voucher No* HV/007 Jssued - ssue Date® | 24/03/2025 [ ] Restore”
Customer Hotel Fare Room Details Custom Data AP Sharing Note
T a 2
Sharing Categon™  Supplier v Supplier
Sharing Type Supplier Amount  Amount In QAR
Sharing Type® | Paid to Supplier through Customer Card (UCCF) 4 Fare | 600.00 % 5000 0f 1200.00
~ AP Sharing: Supplier
Ancillary Service v Tax | 0.00 % 0.00 0f 0.00
Supplier(Main) SUP001: BSP 650.00 650.00
Date* 24/03/2025 E Commission | 0,00 % 000 0f0.00
Paid to Supplier through C...  SUPO1:: BSP 665.00 66500 4 W
Corporate Card” > | COC002 Corporate Card Customer Supplier Fee* | 50,00 % | 50.00 0f 100.00
~ AP Sharing: Payback
Supplier” SUP0OT BSP Supplier Billing Tax | 15,00 #
Payback{Main) 0.00 (1]
~ AP Sharing: Commission Agent fefarence BT002: INPUT VAT | 7.5 %| 15 50
Commission Agent(Main) Femarks P Payable: | 665,00 1212.00 0.00 (]
Total Payable 1315.00 Total Shared 665.00
Current Shared 665.00 Balance 650.00
Card Number® | 39588 Expiry Date” | @ | 25/03/2027 [ <]
AEME Approval Code™ | 00089 Card Member Name™ | sdfg
(& Close [B Update
2. Customer side tax get missing when we take a copy of already issued ticket and changed its region.
Files
